Bug 436041 - Duplicate list of modules shown
Duplicate list of modules shown
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: environment-modules (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 17:59 EST by Shawn Starr
Modified: 2009-09-23 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 11:38:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2008-03-04 17:59:09 EST
Description of problem:
Displays the available modules twice

Version-Release number of selected component (if applicable):
environment-modules-3.2.5-1.el5.x86_64.rpm

How reproducible:
Every time.

Steps to Reproduce:
1. module avail
  
Actual results:

-------------------------------- /usr/share/Modules/modulefiles --------------------------------
blacs/blacs-mpich1-gnu         module-cvs                     null
dot                            module-info                    
scalapack/scalapack-mpich1-gnu
hdf5/hdf5                      modules                        stream
hdf5/hdf5-mpich1-gnu           mpi/mpich1-ethernet-gnu        use.own
linpack/linpack-mpich1-gnu     mpi/mpich2-ethernet-gnu

-------------------------------- /usr/share/Modules/modulefiles --------------------------------
blacs/blacs-mpich1-gnu         module-cvs                     null
dot                            module-info                    
scalapack/scalapack-mpich1-gnu
hdf5/hdf5                      modules                        stream
hdf5/hdf5-mpich1-gnu           mpi/mpich1-ethernet-gnu        use.own
linpack/linpack-mpich1-gnu     mpi/mpich2-ethernet-gnu


Expected results:
-------------------------------- /usr/share/Modules/modulefiles --------------------------------
blacs/blacs-mpich1-gnu         module-cvs                     null
dot                            module-info                    
scalapack/scalapack-mpich1-gnu
hdf5/hdf5                      modules                        stream
hdf5/hdf5-mpich1-gnu           mpi/mpich1-ethernet-gnu        use.own
linpack/linpack-mpich1-gnu     mpi/mpich2-ethernet-gnu

Additional info:
The file: /usr/share/Modules/init/.modulespath

Contains a duplicate line below:

/usr/share/Modules/modulefiles  # Module pkg modulefiles (if no versioning)
/usr/share/Modules/modulefiles  # General module files

If listing both it will display the module listing twice. Which is irritating.
Comment 1 Orion Poplawski 2008-03-05 15:24:16 EST
Please test with 3.2.6-4.el5 which should be in EPEL testing shortly.
Comment 2 Shawn Starr 2008-03-05 15:34:58 EST
Thanks, waiting for it to hit testing.
Comment 3 Shawn Starr 2008-03-25 12:24:19 EDT
Can you tell me when this is being pushed to EPEL? Still dont see it listed 
yet in http://download.fedora.redhat.com/pub/epel/5/x86_64/
Comment 4 Orion Poplawski 2008-03-25 12:29:12 EDT
It's in the testing repo:
http://download.fedora.redhat.com/pub/epel/testing/5/x86_64/  Pushes to stable
are done monthly.
Comment 5 Shawn Starr 2008-03-25 15:06:55 EDT
Thanks, testing it out
Comment 6 Michael Stahnke 2009-06-19 12:52:47 EDT
Any update on this?  Can this bug be closed?

Note You need to log in before you can comment on or make changes to this bug.